com.aliyun.svideosdk.common.struct.encoder

## Class EncoderInfo

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.encoder.EncoderInfo

-     public class EncoderInfo
      extends java.lang.Object

  A class that defines encoding parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `avgUseTime` The average time to encode an image.
    `long` | `bitrateDiff` The bitrate difference.
    `long` | `duration` The encoding duration.
    `long` | `encoderType` The encoder type.
    `long` | `fps` The average frame rate.
    `long` | `height` The height of the video.
    `long` | `keyframeDelay` The average keyframe delay.
    `long` | `maxCacheFrame` The maximum number of cached frames.
    `long` | `width` The width of the video.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncoderInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### encoderType

          public long encoderType

      The encoder type. 0 indicates software encoder. 1 indicates hardware encoder.

    - #### width

          public long width

      The width of the video.

    - #### height

          public long height

      The height of the video.

    - #### duration

          public long duration

      The encoding duration.

    - #### fps

          public long fps

      The average frame rate.

    - #### bitrateDiff

          public long bitrateDiff

      The bitrate difference.

    - #### keyframeDelay

          public long keyframeDelay

      The average keyframe delay. Unit: frames.

    - #### avgUseTime

          public long avgUseTime

      The average time to encode an image. Unit: microseconds.

    - #### maxCacheFrame

          public long maxCacheFrame

      The maximum number of cached frames.

  - ### Constructor Detail

    - #### EncoderInfo

          public EncoderInfo()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`